package com.ruoyi.basic.service.impl;

import java.util.List;
import com.ruoyi.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.basic.mapper.HwAreaMapper;
import com.ruoyi.basic.domain.HwArea;
import com.ruoyi.basic.service.IHwAreaService;

/**
 * 区域管理Service业务层处理
 * 
 * @author YINQ
 * @date 2023-08-30
 */
@Service
public class HwAreaServiceImpl implements IHwAreaService 
{
    @Autowired
    private HwAreaMapper hwAreaMapper;

    /**
     * 查询区域管理
     * 
     * @param areaId 区域管理主键
     * @return 区域管理
     */
    @Override
    public HwArea selectHwAreaByAreaId(Long areaId)
    {
        return hwAreaMapper.selectHwAreaByAreaId(areaId);
    }

    /**
     * 查询区域管理列表
     * 
     * @param hwArea 区域管理
     * @return 区域管理
     */
    @Override
    public List<HwArea> selectHwAreaList(HwArea hwArea)
    {
        return hwAreaMapper.selectHwAreaList(hwArea);
    }

    /**
     * 新增区域管理
     * 
     * @param hwArea 区域管理
     * @return 结果
     */
    @Override
    public int insertHwArea(HwArea hwArea)
    {
        hwArea.setCreateTime(DateUtils.getNowDate());
        return hwAreaMapper.insertHwArea(hwArea);
    }

    /**
     * 修改区域管理
     * 
     * @param hwArea 区域管理
     * @return 结果
     */
    @Override
    public int updateHwArea(HwArea hwArea)
    {
        hwArea.setUpdateTime(DateUtils.getNowDate());
        return hwAreaMapper.updateHwArea(hwArea);
    }

    /**
     * 批量删除区域管理
     * 
     * @param areaIds 需要删除的区域管理主键
     * @return 结果
     */
    @Override
    public int deleteHwAreaByAreaIds(Long[] areaIds)
    {
        return hwAreaMapper.deleteHwAreaByAreaIds(areaIds);
    }

    /**
     * 删除区域管理信息
     * 
     * @param areaId 区域管理主键
     * @return 结果
     */
    @Override
    public int deleteHwAreaByAreaId(Long areaId)
    {
        return hwAreaMapper.deleteHwAreaByAreaId(areaId);
    }
}
